function closefig(n)

# closefig([n])
#
# Close plot window n, or current plot windows if nargin = 0.
# Makes the lowest figure the current figure, if it exists.
#

global  __pl_inited __pl

if (!exist("__pl_inited"))
	return
endif

old_fig = plgstrm;

if (nargin == 0)
	n = old_fig;
endif

plsstrm(n);
plend1;
__pl.open(n+1) = 0;

if ( n != old_fig)
	plsstrm(old_fig)
else
	n = min(find(__pl.open == 1));
	if (isempty(n))
		return
	endif
	figure(n-1);
endif

endfunction
